Bug 27882 - Move external search results links out of page heading
Summary: Move external search results links out of page heading
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27740
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-05 15:18 UTC by Owen Leonard
Modified: 2021-07-09 11:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 27882: Move external search results links out of page heading (4.00 KB, patch)
2021-03-05 15:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27882: Move external search results links out of page heading (4.06 KB, patch)
2021-05-11 16:57 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27882: Move external search results links out of page heading (4.12 KB, patch)
2021-05-13 08:54 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-05 15:18:13 UTC
When results are found in OverDrive, Recorded Books, or OpenLibrary collections the information is appended to the search results <h1>. I think the should be added just after the <h1> because they're not really part of the heading information.
Comment 1 Owen Leonard 2021-03-05 15:28:48 UTC
Created attachment 117863 [details] [review]
Bug 27882: Move external search results links out of page heading

This patch modifies the JavaScript which adds search result information
to the OPAC search results page which is returned from OverDrive,
Recorded Books, or Open Library. The information now displays below the
page heading instead of inside it.

To test you must have OpenLibrarySearch enabled, OverDrive-related
preferences populated (OverDriveClientKey, OverDriveClientSecret,
OverDriveLibraryID), or RecordedBooks preferences (RecordedBooksClientSecret,
RecordedBooksDomain, RecordedBooksLibraryID).

This patch was written with OverDrive and Open Library results active.

- Apply the patch and perform a search in the OPAC catalog.
- On the search results page you should see results for your external
  services appear below the page heading ("You search returned..."),
  e.g.

  "Found 20257 results in the library's OpenLibrary collection"
  "Found 337 results in the library's OverDrive collection"
Comment 2 Lucas Gass 2021-05-11 16:57:37 UTC
Created attachment 120850 [details] [review]
Bug 27882: Move external search results links out of page heading

This patch modifies the JavaScript which adds search result information
to the OPAC search results page which is returned from OverDrive,
Recorded Books, or Open Library. The information now displays below the
page heading instead of inside it.

To test you must have OpenLibrarySearch enabled, OverDrive-related
preferences populated (OverDriveClientKey, OverDriveClientSecret,
OverDriveLibraryID), or RecordedBooks preferences (RecordedBooksClientSecret,
RecordedBooksDomain, RecordedBooksLibraryID).

This patch was written with OverDrive and Open Library results active.

- Apply the patch and perform a search in the OPAC catalog.
- On the search results page you should see results for your external
  services appear below the page heading ("You search returned..."),
  e.g.

  "Found 20257 results in the library's OpenLibrary collection"
  "Found 337 results in the library's OverDrive collection"

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Martin Renvoize 2021-05-13 08:54:17 UTC
Created attachment 120913 [details] [review]
Bug 27882: Move external search results links out of page heading

This patch modifies the JavaScript which adds search result information
to the OPAC search results page which is returned from OverDrive,
Recorded Books, or Open Library. The information now displays below the
page heading instead of inside it.

To test you must have OpenLibrarySearch enabled, OverDrive-related
preferences populated (OverDriveClientKey, OverDriveClientSecret,
OverDriveLibraryID), or RecordedBooks preferences (RecordedBooksClientSecret,
RecordedBooksDomain, RecordedBooksLibraryID).

This patch was written with OverDrive and Open Library results active.

- Apply the patch and perform a search in the OPAC catalog.
- On the search results page you should see results for your external
  services appear below the page heading ("You search returned..."),
  e.g.

  "Found 20257 results in the library's OpenLibrary collection"
  "Found 337 results in the library's OverDrive collection"

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-05-13 08:54:39 UTC
Looks good, no regressions. Passing QA
Comment 5 Jonathan Druart 2021-06-21 12:03:57 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-09 11:54:46 UTC
Enhancement not backported to 21.05